
a.templates-btn,
.buy-btn {
  display: inline-block;
  color: var(--accent2-color);
  text-decoration: none;
  padding: 10px 20px;
  border-radius: 10px;
  font-weight: 600;
  transition: border var(--transition), opacity var(--transition),
  transform var(--transition);
  font-size: 18px;
  border: none;
  margin-top: 10px;
}
a.templates-btn {
  position: sticky;
  left: 0;
  bottom: 0;
}
a.templates-btn:hover {
  border: 1px solid var(--primary-text);
  opacity: 0.8;
  transform: translateY(-2px);
}
a.templates-btn {
  background: var(--accent2);
}
a.buy-btn {
  background: var(--accent1);
}
.template-intro {
  text-align: center;
  padding: 25px 10px;
  max-width: 700px;
  margin: 0 auto 25px;
  border-bottom: 2px solid rgba(0, 0, 0, 0.08);
}

#allTemplates,
#locked-template {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin: 30px auto;
  width: 100%;
  gap: 20px;
}

.template {
  flex: 1;
  margin-top: 10px;
  background: var(--card-background-color);
  border: 1px solid var(--accent1);
  backdrop-filter: blur(4px);
  border-radius: 8px;
  box-shadow: 0 6px 16px rgba(0, 0, 0, 0.07);
  transition: all 0.5s ease;
  padding-bottom: 10px;
  min-width: 300px;
}

.template:hover {
  transform: translateY(-2px);
  box-shadow: 0 8px 12px rgba(255, 255, 255, 0.075);
}
#allTemplates a:nth-child(1) {
  text-decoration: none;
  color: var(--primary-text);
}

.template h3 {
  margin: 15px 0;
  font-size: 18px;
}
.template img {
  width: 100%;
  max-height: 200px;
  object-fit: cover;
  border-radius: 6px;
  transition: all 0.5s ease;
}

/* Text Section */
.desc {
  padding: 16px 18px;
}
.descTitle {
  margin: 10px 0 5px 15px;
  font-size: 20px;
}
.descText {
  margin: 0 15px 15px 15px;
  font-size: 14px;
  color: var(--primary-text);
}
.lock {
  position: absolute;
  top: 5px;
  right: 12px;
  background: rgb(0, 0, 0);
  color: #fff;
  font-size: 12px;
  padding: 6px 10px;
  border-radius: 6px;
  font-weight: 600;
}
.buy {
  background: var(--accent1);
}
.free {
  background: var(--accent2);
}
.free,
.buy {
  position: absolute;
  top: 0;
  right: 8px;
  color: var(--button-text-color);
  font-size: 14px;
  padding: 6px 20px;
  border-radius: 6px;
  font-weight: 600;
}
#locked-template .desc {
  display: none;
}
@media (max-width: 600px) {
  .template {
    width: calc(100% - 20px);
  }
  #allTemplates,
  #locked-template {
    padding: 0 10px;
  }
  a.btn {
    display: block;
    margin: 10px auto;
    text-align: center;
    color: var(--button-text-color);
  }
}
